

/* this ALWAYS GENERATED file contains the IIDs and CLSIDs */

/* link this file in with the server and any clients */


 /* File created by MIDL compiler version 8.01.0622 */
/* at Tue Jan 19 10:14:07 2038
 */
/* Compiler settings for ..\..\..\..\..\Drawing\ActiveX\OdaToolkit\OdaToolkit.idl:
    Oicf, W1, Zp8, env=Win64 (32b run), target_arch=AMD64 8.01.0622 
    protocol : all , ms_ext, c_ext, robust
    error checks: allocation ref bounds_check enum stub_data 
    VC __declspec() decoration level: 
         __declspec(uuid()), __declspec(selectany), __declspec(novtable)
         DECLSPEC_UUID(), MIDL_INTERFACE()
*/
/* @@MIDL_FILE_HEADING(  ) */



#ifdef __cplusplus
extern "C"{
#endif 


#include <rpc.h>
#include <rpcndr.h>

#ifdef _MIDL_USE_GUIDDEF_

#ifndef INITGUID
#define INITGUID
#include <guiddef.h>
#undef INITGUID
#else
#include <guiddef.h>
#endif

#define MIDL_DEFINE_GUID(type,name,l,w1,w2,b1,b2,b3,b4,b5,b6,b7,b8) \
        DEFINE_GUID(name,l,w1,w2,b1,b2,b3,b4,b5,b6,b7,b8)

#else // !_MIDL_USE_GUIDDEF_

#ifndef __IID_DEFINED__
#define __IID_DEFINED__

typedef struct _IID
{
    unsigned long x;
    unsigned short s1;
    unsigned short s2;
    unsigned char  c[8];
} IID;

#endif // __IID_DEFINED__

#ifndef CLSID_DEFINED
#define CLSID_DEFINED
typedef IID CLSID;
#endif // CLSID_DEFINED

#define MIDL_DEFINE_GUID(type,name,l,w1,w2,b1,b2,b3,b4,b5,b6,b7,b8) \
        EXTERN_C __declspec(selectany) const type name = {l,w1,w2,{b1,b2,b3,b4,b5,b6,b7,b8}}

#endif // !_MIDL_USE_GUIDDEF_

MIDL_DEFINE_GUID(IID, LIBID_TeighaX,0xEE2303F2,0x4EF6,0x42F6,0x92,0xAB,0x42,0x41,0x22,0x1F,0xF2,0x78);


MIDL_DEFINE_GUID(IID, IID_IAcadApplication,0xFDF9679C,0xB8F6,0x40B6,0x9F,0x6B,0x20,0x7A,0xDC,0xF7,0x2B,0xEE);


MIDL_DEFINE_GUID(IID, IID_IAcadUtility,0x90200AAE,0xE3B4,0x47EC,0xAB,0x28,0x73,0x04,0xE1,0x3C,0x5F,0xC5);


MIDL_DEFINE_GUID(IID, IID_IAcadDocument,0x2880199D,0xCEB6,0x40D1,0x95,0x05,0xB2,0x6E,0x44,0x48,0x83,0x41);


MIDL_DEFINE_GUID(IID, IID_IAcadDocuments,0x96A65707,0x75B0,0x4586,0xB3,0xC3,0x94,0x9B,0x79,0xF5,0x15,0x84);


MIDL_DEFINE_GUID(IID, IID_IAcadSelectionSets,0x0E39C3DF,0xF5DA,0x4C23,0xAE,0x61,0x69,0xA0,0x01,0xA8,0x78,0x4C);


MIDL_DEFINE_GUID(IID, IID_IAcadSelectionSet,0x8E847445,0xAF8D,0x40D9,0xBB,0xE3,0x0F,0x2E,0xCD,0x68,0x55,0x6A);


MIDL_DEFINE_GUID(IID, IID_IAcadPreferences,0xA38E1530,0x1648,0x45C7,0xB0,0xED,0x7A,0xDC,0x5F,0x8C,0xD7,0xF0);


MIDL_DEFINE_GUID(IID, IID_IAcadPreferencesFiles,0xB8AE0EE0,0x2198,0x40B3,0x80,0x45,0xAF,0x45,0x0D,0xEC,0xC5,0x8B);


MIDL_DEFINE_GUID(IID, IID_IAcadLayerStateManager,0x2DDE559F,0xE9AE,0x4D03,0x98,0x2F,0x2D,0x10,0x10,0x6C,0x66,0xD1);


MIDL_DEFINE_GUID(IID, IID_IAcadSecurityParams,0xC1BABF64,0xE427,0x4C27,0xB9,0xD9,0xEE,0xFE,0x26,0x97,0x1E,0xD4);


MIDL_DEFINE_GUID(IID, IID_IAcadPreferencesDisplay,0x7F5BB426,0x7FEF,0x4E28,0x9F,0x94,0x42,0x39,0x48,0x6A,0xA0,0x32);


MIDL_DEFINE_GUID(IID, IID_IAcadPreferencesOpenSave,0xBC76DD28,0xBBB7,0x4FEC,0x89,0x74,0x9E,0x7A,0xAF,0xDA,0x54,0x25);


MIDL_DEFINE_GUID(IID, IID_IAcadPreferencesOutput,0xA6CF6B5D,0x88CB,0x418B,0xA8,0x10,0x33,0x11,0x21,0x82,0x31,0x63);


MIDL_DEFINE_GUID(IID, IID_IAcadPreferencesSystem,0xD5CF27D1,0xDDE4,0x4B5C,0x92,0xF1,0xFD,0x03,0xFF,0xA2,0x1B,0x10);


MIDL_DEFINE_GUID(IID, IID_IAcadPreferencesUser,0x596952FF,0x2FEE,0x44E9,0x94,0x6E,0xB2,0x5F,0x6F,0x32,0x5D,0xF4);


MIDL_DEFINE_GUID(IID, IID_IAcadPreferencesDrafting,0xD8DC6B6A,0xF03F,0x490B,0xBE,0x96,0xCC,0x65,0x06,0x99,0x9D,0x0E);


MIDL_DEFINE_GUID(IID, IID_IAcadPreferencesSelection,0x99B76B84,0x0F4C,0x4B0F,0xA0,0x41,0xFC,0x7D,0xD4,0x8D,0xF8,0x6F);


MIDL_DEFINE_GUID(IID, IID_IAcadPreferencesProfiles,0xC43642BE,0x4D1E,0x4C46,0xAE,0xA1,0x80,0x50,0x4D,0xCF,0x16,0xBC);


MIDL_DEFINE_GUID(IID, IID_IOdaDwfTemplate,0x778644FD,0xA7C7,0x4C6F,0xA0,0xEF,0x44,0x37,0x80,0xA7,0x6E,0x6D);


MIDL_DEFINE_GUID(IID, IID_IOdaDwfTemplate2,0x825C0DE1,0x1334,0x4C71,0xBB,0xE0,0xF6,0xA4,0xFC,0xD0,0x79,0x1E);


MIDL_DEFINE_GUID(IID, IID_IOdaDwfPageData,0x8A2F100D,0x0F04,0x460B,0xA3,0x01,0xDB,0x7C,0x51,0xA4,0x46,0x56);


MIDL_DEFINE_GUID(IID, IID_IOdaDwfImporter,0xC4A76582,0x5F07,0x4E20,0xAF,0xE6,0x0C,0x44,0xD1,0x60,0x84,0x7B);


MIDL_DEFINE_GUID(IID, IID_IOdaDwfImporter2,0x6AB927BF,0xB8C0,0x428E,0x86,0x9E,0x42,0xF2,0x9E,0x0A,0x5E,0xA0);


MIDL_DEFINE_GUID(IID, IID_IOdaSvgExporter,0x80021C4E,0x7A7F,0x47CD,0x8B,0x44,0x78,0x3B,0x3D,0x76,0xFD,0x69);


MIDL_DEFINE_GUID(IID, IID_IOdaAuditInfo,0x405C2A25,0x0338,0x4898,0x8F,0x47,0x55,0x86,0x38,0xC9,0xB3,0x2B);


MIDL_DEFINE_GUID(IID, IID_IOdaBmpOut,0x694F5318,0xF44B,0x4DB6,0xA0,0xE7,0xCB,0x50,0x43,0x6E,0xE1,0xF1);


MIDL_DEFINE_GUID(IID, IID_IOdaDwf3dExport,0x79320A7E,0x1524,0x4DCC,0xA7,0x76,0xE8,0x0D,0xEF,0x7E,0x34,0xED);


MIDL_DEFINE_GUID(IID, IID_IOdaPdfExport,0xC1163F7E,0x102E,0x4AD3,0x9A,0xF3,0x1E,0x2B,0x32,0x26,0xD0,0x25);


MIDL_DEFINE_GUID(IID, IID_IOdaPdfExport2,0x10710C85,0xA31F,0x40AA,0x9B,0x45,0x1E,0x22,0x51,0xE3,0x6E,0x05);


MIDL_DEFINE_GUID(IID, IID_IOdaPdfPageData,0xC5318E14,0x8DF5,0x479A,0x92,0xD3,0xDC,0x58,0xFC,0x47,0x06,0x21);


MIDL_DEFINE_GUID(IID, IID_IOdaDocument,0xC429A1B0,0x448A,0x4324,0x83,0xA1,0x8A,0x46,0x54,0xBA,0xCF,0x30);


MIDL_DEFINE_GUID(IID, IID_IAcadPlot,0x70EE3D66,0x10B7,0x4ac9,0xAA,0xFC,0xC8,0xE8,0xEC,0x4D,0x83,0x89);


MIDL_DEFINE_GUID(IID, DIID__DAcadApplicationEvents,0x4647FDCA,0xB5E5,0x48C1,0xA8,0xEC,0xF9,0x7A,0x1A,0x39,0x73,0x47);


MIDL_DEFINE_GUID(IID, DIID__DAcadDocumentEvents,0xA293D4DE,0x8908,0x4482,0xB6,0x33,0x88,0x0A,0x76,0xDB,0x38,0x9E);


MIDL_DEFINE_GUID(IID, IID_IOdaHostApp,0x097198FE,0x77D8,0x4D45,0x9A,0x7B,0xD0,0x60,0x4B,0x29,0x9D,0x52);


MIDL_DEFINE_GUID(IID, IID_IOdaConsole,0x36F427AC,0xB93B,0x471B,0xBF,0x78,0x7F,0xA8,0xDE,0x40,0x17,0xE7);


MIDL_DEFINE_GUID(IID, IID_IOdaHostApp2,0x2C59324F,0x28FD,0x45C5,0xA5,0x8B,0x9C,0xA0,0xD2,0x26,0xC0,0xA7);


MIDL_DEFINE_GUID(IID, IID_IOdaPagingController,0x9998BD8F,0xD48A,0x41D6,0xAF,0xF1,0x37,0x7B,0x85,0x7C,0x8C,0xCF);


MIDL_DEFINE_GUID(IID, IID_IOdaHostApp3,0x4AAACF85,0xC7AA,0x4B06,0xB8,0x22,0x61,0x5E,0x58,0x46,0xD1,0x3D);


MIDL_DEFINE_GUID(IID, IID_IOdaBagFiler,0x50D44FBC,0xDFD2,0x45CC,0xA1,0x97,0x73,0x20,0x0F,0x51,0x40,0x17);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadApplication,0xCAAE7888,0xBDB7,0x4777,0x91,0x2C,0x63,0x40,0x86,0x3C,0x79,0x1E);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadDocument,0x659C194B,0x22AC,0x4DD1,0xA4,0xFB,0xB1,0xC0,0xF9,0x82,0x39,0xDA);


MIDL_DEFINE_GUID(IID, DIID__IOdaHostAppEvents,0x8C1741CF,0xEC4D,0x4C2D,0xBB,0x8C,0x31,0x43,0xE4,0x49,0x6E,0xB8);


MIDL_DEFINE_GUID(CLSID, CLSID_OdaHostApp,0xD9691A57,0x6C43,0x4B75,0xB1,0x96,0x40,0x62,0xE6,0x8B,0xAB,0x54);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadUtility,0x904DD196,0x7D3E,0x46BB,0xAF,0x8D,0x48,0xEF,0x6A,0x3B,0x8A,0xD5);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadPreferences,0xDAB90A1C,0x776B,0x4572,0xB8,0xC2,0x8B,0x22,0xAB,0xB5,0x94,0x7C);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadSelectionSet,0x6A3B3AEF,0xCDF8,0x4291,0xA6,0xA0,0x99,0xF7,0xEC,0x89,0x84,0x61);


MIDL_DEFINE_GUID(CLSID, CLSID_OdaDwfTemplate,0x27B7762A,0xEFFB,0x4ABF,0xB8,0x1D,0xDF,0x1B,0x5E,0xC4,0xBF,0xA5);


MIDL_DEFINE_GUID(CLSID, CLSID_OdaDwf3dExport,0xC4E40CF7,0xD5C6,0x4AA3,0x8F,0xD6,0x43,0xF6,0x70,0x7C,0x33,0xE5);


MIDL_DEFINE_GUID(CLSID, CLSID_OdaPdfExport,0xC92878E7,0xDF6D,0x4177,0xB8,0xE9,0x76,0x20,0xEB,0xD0,0x6E,0x99);


MIDL_DEFINE_GUID(CLSID, CLSID_OdaPdfPageData,0x8614E9B2,0xBAB8,0x4B96,0x90,0x44,0x34,0x7C,0x95,0x31,0x8D,0x46);


MIDL_DEFINE_GUID(CLSID, CLSID_OdaDwfImporter,0x8F95E3E8,0x271A,0x46A7,0x9F,0xF8,0x32,0x9F,0xFC,0xC6,0x53,0xE0);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadLayerStateManager,0x71A776C3,0x32DC,0x42DC,0xA2,0xB9,0x0E,0x50,0x90,0x23,0xC5,0xCE);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadSecurityParams,0xAB538D66,0x8690,0x4C94,0x86,0xAC,0xF9,0x68,0xF3,0x91,0xDB,0xFF);


MIDL_DEFINE_GUID(CLSID, CLSID_OdaSvgExporter,0x6883718C,0xE966,0x47DC,0xA5,0x88,0x23,0x47,0xB6,0x9E,0x83,0x85);


MIDL_DEFINE_GUID(CLSID, CLSID_OdaBmpOut,0x61A60F98,0x95F5,0x4A43,0x81,0x6B,0xE5,0x4F,0x6C,0xD6,0xBD,0xE5);


MIDL_DEFINE_GUID(CLSID, CLSID_OdaBagFiler,0xAA807CFB,0x414F,0x4B55,0x8C,0xFE,0x72,0x91,0xEB,0x53,0x89,0xD8);

#undef MIDL_DEFINE_GUID

#ifdef __cplusplus
}
#endif



